/*
 * CarrierSet.java
 *
 * Created on 17 de Junho de 2005, 19:08
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package net.sourceforge.czt.typecheck.circus.util;

import net.sourceforge.czt.circus.ast.CircusFactory;
import net.sourceforge.czt.z.ast.ZFactory;

/**
 *
 * @author Manuela 
 */
public class CarrierSet
  extends net.sourceforge.czt.typecheck.z.util.CarrierSet
{
    
  protected CircusFactory circusFactory_;
  /** Creates a new instance of CarrierSet */
  public CarrierSet() 
  {
    super();
    circusFactory_ = new net.sourceforge.czt.circus.impl.CircusFactoryImpl();
  }

  public CarrierSet(boolean allowVariableTypes)
  {
    this();
    allowVariableTypes_ = allowVariableTypes;
  }

  public CarrierSet(ZFactory zFactory, CircusFactory circusFactory)
  {
    super(zFactory);
    circusFactory_ = circusFactory;
  }
  
}
